package com.neusoft.smart.pos.printer.persistent.mapper;

import com.neusoft.smart.pos.printer.persistent.domain.RuleAttribute;
import com.neusoft.smart.pos.printer.persistent.domain.RuleAttributeExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface RuleAttributeMapper {
    int countByExample(RuleAttributeExample example);

    int deleteByExample(RuleAttributeExample example);

    int deleteByPrimaryKey(Long id);

    int insert(RuleAttribute record);

    int insertSelective(RuleAttribute record);

    List<RuleAttribute> selectByExample(RuleAttributeExample example);

    RuleAttribute selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") RuleAttribute record, @Param("example") RuleAttributeExample example);

    int updateByExample(@Param("record") RuleAttribute record, @Param("example") RuleAttributeExample example);

    int updateByPrimaryKeySelective(RuleAttribute record);

    int updateByPrimaryKey(RuleAttribute record);

    void batchInsert(@Param("items") List<RuleAttribute> items);
}